<%@ page language="C#" autoeventwireup="true" inherits="install, shazhiqiu_freetaoke" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>安装程序 - 沙之丘淘宝客程序免费版 SQL版</title>
<link href="/skin/default/style.css" type="text/css" rel="stylesheet" />
    <style type="text/css">
        .auto-style1 {
            width: 154px;
        }
        .auto-style2 {
            text-decoration: underline;
        }
    </style>
                 <script language="javascript" type="text/javascript">
                     function addadmin() {
                         var f = document.forms[0];
                         if (f.sqlip.value == "") {
                             alert("请输入数据库服务器名或者ip!");
                             f.sqlip.focus();
                             return false;
                         }
                       else  if (f.sqlname.value == "") {
                             alert("请输入数据库名!");
                             f.sqlname.focus();
                             return false;
                         }
                         else if (f.sqluser.value == "") {
                             alert("请输入数据库登陆名!");
                             f.sqluser.focus();
                             return false;
                         }
                         else if (f.sqlpass.value == "") {
                             alert("请输入数据库登陆密码!");
                             f.sqlpass.focus();
                             return false;
                         }
                        else if (f.adminuser.value == "") {
                             alert("请输入管理员名!");
                             f.adminuser.focus();
                             return false;
                         }

                         else if (f.adminpass.value == "") {
                             alert("请输入你的管理员密码！");
                             f.adminpass.focus();
                             return false;
                         }
                         
                         else {
                             return true;
                         }
                     }
                    

</script>

</head>
<body>
<form id="form1" runat="server">
<div id="big">
<div id="top"></div>
<div id="middle">
    <table  cellspacing="0" cellpadding="0" class="tablexian">
    <tr>
        <td align="left">
            <div style="float:left;width:100%;height:30px;line-height:30px;text-align:center;color:#ff0000;font-size:15px;"><strong>安装好后请删除install文件夹，并可以修改后台登陆目录admin</strong></div></td>
    </tr>
    <tr>
        <td align="left">
            <strong>沙之丘淘宝客程序推荐类免费版程序SQL版使用说明：</strong><br />
            <strong>相关信息：</strong><br />
            <strong><%=Powered.powered %> <span style="color:green;">[<%=Powered.banben%>]</span></strong><br />
            <strong>官网：</strong><a href="http://www.shazhiqiu.cn"  target="_blank" style="color:#ff6600;">http://www.shazhiqiu.cn</a><br />
            <strong>技术支持：</strong><a href="http://www.shazhiqiu.cn/bbs/"  target="_blank" style="color:#ff6600;">http://www.shazhiqiu.cn/bbs/</a><br />
            1、请先有sql2005数据库，然后按下面配置输入信息。<br />
            2、必须先支持asp.net 4.0的环境，<span class="t2"><strong>重要：</strong></span><span class="auto-style2">并目录要有users账号有写入和修改的权限</span><br />
            配置环境：<a href="http://www.shazhiqiu.cn/bbs/info-59.html" target="_blank" style="color:#ff6600;">http://www.shazhiqiu.cn/bbs/info-59.html</a></td>
    </tr>
        </table>
 <table  cellspacing="0" cellpadding="0" class="tablexian">
    <tr>
        <td align="right" class="auto-style1">
            服务器名或者ip：</td>
        <td align="left">
            <asp:TextBox ID="sqlip" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td align="right" class="auto-style1">
            数据库名：</td>
        <td align="left">
            <asp:TextBox ID="sqlname" runat="server"></asp:TextBox>
        </td>
    </tr>
        <tr>
            <td align="right" class="auto-style1">
                数据库登陆名：</td>
            <td align="left">
                <asp:TextBox ID="sqluser" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td align="right" class="auto-style1">
                数据库登陆密码：</td>
            <td align="left">
                <asp:TextBox ID="sqlpass" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td align="right" class="auto-style1">
                程序后台登陆账号：</td>
            <td align="left">
                <asp:TextBox ID="adminuser" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td align="right" class="auto-style1">
                程序后台登陆密码：</td>
            <td align="left">
                <asp:TextBox ID="adminpass" runat="server"></asp:TextBox>
            </td>
        </tr>
<tr>
<td align="right" class="auto-style1">
</td>
<td align="left">
    <asp:Button ID="Button1" runat="server" Text="开始安装" OnClientClick="return addadmin()" onclick="Button1_Click" />

    </td>
</tr>
</table>

</div>
<div id="bottom"></div>    
</div>    

    </form>
</body>
</html>
